Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.jbotester
Class ConnectionInfo

    java.lang.Object
      |
      +--oracle.jbo.jbotester.ConnectionInfo

public final class ConnectionInfo
extends java.lang.Object

Field Summary
`static java.lang.String` | `ORB_GATEKEEPER_IOR`

Constructor Summary
`ConnectionInfo()`

Method Summary
`static boolean` | `connect(java.awt.Component parent, java.util.Hashtable params)`
`static int` | `getConnectionMode(java.util.Hashtable env)`
`static java.lang.String` | `getConnectionTitle()`
`static java.util.Hashtable` | `getEnv()`
`static ApplicationModule` | `getRootAppModule()`
`static boolean` | `isConnected()`
`static void` | `setConnected(boolean connected)`
`static void` | `setEnv(java.util.Hashtable connectionEnv)`
`static void` | `setRootAppModule(ApplicationModule rootAppMod)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ORB_GATEKEEPER_IOR

    public static final java.lang.String ORB_GATEKEEPER_IOR

Constructor Detail

### ConnectionInfo

    public ConnectionInfo()

Method Detail

### isConnected

    public static boolean isConnected()

### setConnected

    public static void setConnected(boolean connected)

### getRootAppModule

    public static ApplicationModule getRootAppModule()

### setRootAppModule

    public static void setRootAppModule(ApplicationModule rootAppMod)

### getConnectionTitle

    public static java.lang.String getConnectionTitle()

### setEnv

    public static void setEnv(java.util.Hashtable connectionEnv)

### getEnv

    public static java.util.Hashtable getEnv()

### connect

    public static boolean connect(java.awt.Component parent,
                                  java.util.Hashtable params)
                           throws javax.naming.NamingException,
                                  java.io.IOException,
                                  oracle.jdeveloper.cm.CMException

### getConnectionMode

    public static int getConnectionMode(java.util.Hashtable env)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD